Package: io.vertx.groovy.core.http

## [Groovy] Class WebSocketStream

- io.vertx.groovy.core.http.WebSocketStream

- All Implemented Interfaces and Traits:
    ReadStream

      @groovy.transform.CompileStatic
      class WebSocketStream
      extends java.lang.Object

  A stream for HttpClient WebSocket connection.

  When the connection attempt is successful, the stream handler is called back with the WebSocket argument, immediately followed by a call to the end handler. When the connection attempt fails, the exception handler is invoked.

  The connection occurs when the WebSocketStream.handler method is called with a non null handler, the other handlers should be set before setting the handler.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `WebSocketStream (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `WebSocketStream` | `endHandler(io.vertx.core.Handler<java.lang.Void> endHandler)`
    `WebSocketStream` | `exceptionHandler(io.vertx.core.Handler<java.lang.Throwable> handler)`
    `java.lang.Object` | `getDelegate()`
    `WebSocketStream` | `handler(io.vertx.core.Handler<WebSocket> handler)`
    `WebSocketStream` | `pause()`
    `WebSocketStream` | `resume()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### WebSocketStream(java.lang.Object delegate)

  - ### Method Detail

    - #### WebSocketStream endHandler(io.vertx.core.Handler<java.lang.Void> endHandler)

    - #### WebSocketStream exceptionHandler(io.vertx.core.Handler<java.lang.Throwable> handler)

    - #### java.lang.Object getDelegate()

    - #### WebSocketStream handler(io.vertx.core.Handler<WebSocket> handler)

    - #### WebSocketStream pause()

    - #### WebSocketStream resume()